// ============================================================================================================
// IDS Webhelp scripts used in the content topics
// KdG Eluxis.com
// ============================================================================================================

/* *************************************** */
/* Initialize                              */
/* *************************************** */
function initialize(bc) {
	//Transport breadcrum to parent window
	try{
		var el = window.parent.document.getElementById('breadcrumbcontainer');
		if (el && bc!="") {
			el.innerHTML=bc;
		}
	}
	catch(e){
	console.log(e);
	}
	//Set styles if full desktop screen if parent is full desktop screen
	var el = parent.document.getElementById("desktop-style-css");
	if (el) {
		document.write('<link type="text/css" rel="stylesheet" href="topic_full.css">');
	}
}

// ============================================================================================================
// popup tooltip
// ============================================================================================================
function showtip(e,content) { 
	if (hasClass(document.getElementById("tooltip"),"tooltip-show")) {
		hidetip();
		return;
	}
	else {
		var x = e.clientX + (document.documentElement.scrollLeft ? document.documentElement.scrollLeft : document.body.scrollLeft);
		var y = e.clientY + (document.documentElement.scrollTop ? document.documentElement.scrollTop : document.body.scrollTop) + 5;
		var wx= (document.body.clientWidth);
		var left = true;
		if (x >wx/2) {//place tooltip left of cursor (and therefore limit the width)
			x=wx-x;
			left = false;
		}
		if (navigator.userAgent.indexOf("MSIE") != -1) {
			x -= 20; //For IE subtract margin, as specified in the css for the body element
		}
		var frame= '<div class="ttip" style=""><span>'+content+'</span></div>';
		if (document.layers) {// Netscape 4.0+ 
			document.tooltip.document.write(frame); 
			document.tooltip.document.close(); 
			if (left) {
				document.tooltip.left=x;
				document.tooltip.right="";
			}
			else {
				document.tooltip.left="";
				document.tooltip.right=x;
			}
			document.tooltip.top=y;
			document.tooltip.visibility="show";
		} 
		else { 
			if(document.getElementById) {// Netscape 6.0+ and Internet Explorer 5.0+ 
				elm=document.getElementById("tooltip") ;
				elm.innerHTML=frame;
				if (left) {
					elm.style.left=x+"px";
					elm.style.right="";
				}
				else {
					elm.style.left="";
					elm.style.right=x+"px";
				}
				elm.style.top=y+"px";
				toggleClass(elm,"tooltip-hidden", "tooltip-show");
			} 
		} 
	}
} 
				
function hidetip(){ 
	if (document.layers) { // Netscape 4.0+
		document.tooltip.visibility="hidden"; 
	} 
	else { 
		if(document.getElementById) { // Netscape 6.0+ and Internet Explorer 5.0+ 
			var elm=document.getElementById("tooltip"); 
			toggleClass(elm,"tooltip-show", "tooltip-hidden");
		} 
	} 
} 

//Function to toggle figure size
function toggleImgSize(figid) {
	var figE=document.getElementById(figid);
	if ( hasClass(figE,'thumbnail') ) {
		removeClass(figE,'thumbnail');
	} else {
		addClass(figE,'thumbnail');
	}
}

// ============================================================================================================
// Class Helper functions
// ============================================================================================================
function hasClass(ele,cls) {
	return ele.className.match(new RegExp('(\\s|^)'+cls+'(\\s|$)'));
}
function toggleClass(ele,fromClas, toClas) {
	removeClass(ele, fromClas);
	addClass(ele, toClas);
}
function addClass(ele, cls) {
	if ( !this.hasClass( ele,cls ) ) {
		ele.className += " "+cls;
	}
}
 
function removeClass(ele, cls) {
	if (hasClass(ele, cls)) {
		var reg = new RegExp('(\\s|^)' + cls);
		var c = ele.className;
		c = c.replace(reg, '');
		c=c.replace(/(^\s+)|\s+$/g, "");//strip spaces
		ele.className = c;
	}
}

function getElementsByClassName(classname, node) {
	if(!node) node = document.getElementsByTagName("body")[0];
	var a = [];
	var re = new RegExp('\\b' + classname + '\\b');
	var els = node.getElementsByTagName("*");
	for(var i=0,j=els.length; i<j; i++){
		if(re.test(els[i].className))a.push(els[i]);
	}
	return a;
}


